#
# spec file for package docbook-xsl-stylesheets (Version 1.42)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         docbook-xsl-stylesheets
%define main_name docbook-xsl-stylesheets
Copyright:    free (c) Norman Walsh
Group:      Applications/Publishing
Autoreqprov:  on
BuildArchitectures: noarch
Provides: docbkxsl
Obsoletes: docbkxsl
Summary:      XSL Stylesheets for the DocBook DTD (XML)
Version:      1.42
Release:      34
%define main_ver 1.42
### Version macros are defined so I can use them below,
### don't use macros for "Source:" and "Patch:" values.
Source0: http://prdownloads.sourceforge.net/docbook/docbook-xsl-%{version}.tar.bz2
Source1: %{name}-README.SuSE
Source2: http://db2latex.sourceforge.net/db2latex-0.5.1.tar.bz2
# Patch: docbkxsl.dif
BuildRoot: %{_tmppath}/%{name}-root
URL:          http://nwalsh.com/docbook/xsl/

%description
These are XSL stylesheets for the DocBook XML (and "Simplified" DocBook
XML) DTDs.
XSL is a standard W3C stylesheet language for both print and online
rendering.  For more information about XSL, see the XSL page at the W3C.

Authors:
--------
    Norman Walsh <ndw@nwalsh.com>

SuSE series: sgm

%package -n db2latex
Summary:      DocBook to LaTeX Converter
Version:      0.5.1
Release:      28
Requires: %{name}
Group: Applications/Publishing
Copyright: GPL
URL: http://db2latex.sourceforge.net

%description -n db2latex
This converter is based on the DocBook XSL stylesheets (package: docbook-xsl-stylesheets).

Authors:
--------
    Ramon Casellas <casellas@aist.enst.fr>

SuSE series: sgm

%define version %{main_ver}
%define name %{main_name}
%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define INSTALL_SCRIPT install -m755 -o root -g root
%prep
%setup -q -n docbook-xsl-%{version}
cp -p %{SOURCE1} README.SuSE
tar Ixf %{SOURCE2}
mv docbook/latex .
rmdir docbook
# %patch -p 1
# rm -f html/index.html.orig
chmod -R a+rX,g-w,o-w .

%build

%install
export RPM_BUILD_ROOT
if [ ! "x" = "x$RPM_BUILD_ROOT" ]; then
  rm -fr $RPM_BUILD_ROOT
  %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
doc_dir=$RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
%define sgml_dir %{_datadir}/sgml
%define sgml_dir_docbook %{sgml_dir}/docbook
%define sgml_config_dir /var/lib/sgml
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_dir_docbook}/%{name}-%{version}
cp -a [[:lower:]]* $RPM_BUILD_ROOT%{sgml_dir_docbook}/%{name}-%{version}
cp -a VERSION $RPM_BUILD_ROOT%{sgml_dir_docbook}/%{name}-%{version}
%{INSTALL_DIR} $doc_dir
# touch file for ghost purposes
# 2001-04-23 13:05:30 CEST -ke-
mkdir -p $RPM_BUILD_ROOT/usr/share/sgml/docbkxsl
# documentation
%{INSTALL_DATA} README $doc_dir/README
%{INSTALL_DATA} BUGS $doc_dir/BUGS
%{INSTALL_DATA} TODO $doc_dir/TODO
%{INSTALL_DATA} WhatsNew $doc_dir/WhatsNew
cp -p README.SuSE $doc_dir/README.SuSE
:> %{name}_list
LANG=C \
find %{buildroot}%{sgml_dir_docbook}/%{name}-%{version} \
     -type d \
     -not -path '%{buildroot}%{sgml_dir_docbook}/%{name}-%{version}/latex*' \
  | sed 's|%{buildroot}|%dir |' > %{_builddir}/%{buildsubdir}/%{name}_list
LANG=C \
find %{buildroot}%{sgml_dir_docbook}/%{name}-%{version} \
     -type f \
     -not -path '%{buildroot}%{sgml_dir_docbook}/%{name}-%{version}/latex*' \
  | sed 's|%{buildroot}||' >> %{_builddir}/%{buildsubdir}/%{name}_list
# compatibility link; will go away with SuSE Linux >= 8.x
pushd $RPM_BUILD_ROOT%{sgml_dir}
ln -sf docbook/%{name}-%{version} docbkxsl
popd

%post
D=usr/share/sgml
# remove empty dir if present (from ghost)
rmdir $D/docbkxsl >/dev/null 2>&1
if [ ! -d $D/docbkxsl ]; then
  pushd $D >/dev/null
  [ -L docbkxsl ] && rm -f $D/docbkxsl
  # compatibility link; should go away with SuSE Linux 8.0
  ln -fs docbook/%{name}-%{version} docbkxsl
  popd >/dev/null
fi

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}_list
%defattr(-, root, root)
# %doc README.SuSE
# %{sgml_dir_docbook}/%{name}-%{version}
# compatibility link; will go away with SuSE Linux >= 8.x
%ghost %{sgml_dir}/docbkxsl
%{_defaultdocdir}/%{name}

%files -n db2latex
%defattr(-, root, root)
%{sgml_dir_docbook}/%{name}-%{version}/latex

%changelog -n docbook-xsl-stylesheets
* Mon Aug 20 2001 - ke@suse.de
- Add db2latex (version 0.5.1) as a subpackage.
- Re-compress the archives using bzip2.
* Tue Aug 07 2001 - ke@suse.de
- Update to version 1.42.
* Mon Jul 16 2001 - ke@suse.de
- Update to version 1.41.
* Mon Apr 23 2001 - ke@suse.de
- Fix create of compatibility link via %%post; reported by kukuk
  [#7130].
* Mon Mar 26 2001 - ke@suse.de
- Provide compatibility link /usr/share/sgml/docbkxsl for SuSE Linux <
  8.0 (cf. README.SuSE).
* Fri Mar 23 2001 - ke@suse.de
- Update to version 1.34 (experimental).
- Rename package: docbkxsl -> docbook-xsl-stylesheets.
- Adjust README.SuSE.
* Fri Feb 02 2001 - ke@suse.de
- Update to version 1.29.
* Fri Sep 22 2000 - ke@suse.de
- Update to version 1.18.
* Wed Aug 16 2000 - ke@suse.de
- Update to version 1.17.
* Fri May 26 2000 - ke@suse.de
- Update to version 1.13.
- Use %%{_defaultdocdir}.
* Fri Dec 17 1999 - ke@suse.de
- Fix %%files list.
* Fri Dec 17 1999 - ke@suse.de
- Update: version 1.01.
* Tue Nov 23 1999 - ke@suse.de
- Start with version 1.00.
- Add README.SuSE.
